<%@ taglib prefix="cq" uri="http://www.day.com/taglibs/cq/1.0" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@include file="../../../../libs/foundation/global.jsp" %>

<style>
    div {
        width: auto;
        margin-bottom: 2px;
    }

    #box-table-a {
        font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;
        font-size: 12px;
        margin: 45px;
        width: 320px;
        text-align: left;
        border-collapse: collapse;
    }

    #box-table-a th {
        font-size: 13px;
        font-weight: normal;
        padding: 8px;
        background: #b9c9fe;
        border-top: 4px solid #aabcfe;
        border-bottom: 1px solid #fff;
        color: #039;
    }

    #box-table-a td {
        padding: 8px;
        background: #e8edff;
        border-bottom: 1px solid #fff;
        color: #669;
        border-top: 1px solid transparent;
    }

    #ver-minimalist {
        font-family: "Lucida Sans Unicode", "Lucida Grande", Sans-Serif;
        font-size: 12px;
        margin: 45px;
        width: 580px;
        text-align: left;
        border-collapse: collapse;
    }

    #ver-minimalist th {
        padding: 8px 2px;
        font-weight: normal;
        font-size: 14px;
        color: #039;
    }
</style>

<div class="fieldConfig" style="border:1px solid #d3d3d3;padding-left:10px;border-radius: 3px;background-color: white;">

<c:choose>
    <c:when test="${not empty properties.path && not empty properties.exclude}">
        <table id="ver-minimalist" summary="">
            <thead>
            <tr>
                <th scope="col">
                    <c:choose>
                        <c:when test="${properties.path != '/'}">
                            For path <strong>${properties.path}</strong> exclude:
                        </c:when>
                        <c:otherwise>
                            Globally exclude:
                        </c:otherwise>
                    </c:choose>
                </th>
            </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
        <table id="box-table-a" summary="Properties">
            <tbody>

            <c:forEach var="propertyName" items="${properties.exclude}">
                <tr><td>${propertyName}</td></tr>
            </c:forEach>
            </tbody>
        </table>
    </c:when>
    <c:otherwise>
        <table id="ver-minimalist">
            <tbody>
                <tr><td>This path-base filter is not configured yet. It will be ignored.</td></tr>
            </tbody>
        </table>
    </c:otherwise>
</c:choose>

</div>
    