(function($) {
    var toggleConnection = function toggleConnection() {
        var $toggle = $(this);

        $toggle.off('click');

        var active = $toggle.hasClass('context-connection-title__toggle-on');
        var id = $toggle.data('id');

        $.ajax({
            type: 'POST',
            url: '/services/smartling/context/connections',
            data: {
                projectId: id,
                active: !active
            },
            success: function () {
                location.reload();
            },
            complete: function() {
                $toggle.on('click', toggleConnection)
            },
            traditional: true
        });
    };

    $(function() {
        $('.context-connection-title__toggle').on('click', toggleConnection);
    });
})(jQuery);