<%--
  ADOBE CONFIDENTIAL

  Copyright 2013 Adobe Systems Incorporated
  All Rights Reserved.

  NOTICE:  All information contained herein is, and remains
  the property of Adobe Systems Incorporated and its suppliers,
  if any.  The intellectual and technical concepts contained
  herein are proprietary to Adobe Systems Incorporated and its
  suppliers and may be covered by U.S. and Foreign Patents,
  patents in process, and are protected by trade secret or copyright law.
  Dissemination of this information or reproduction of this material
  is strictly forbidden unless prior written permission is obtained
  from Adobe Systems Incorporated.
--%><%
%><%@include file="/libs/granite/ui/global.jsp" %><%
%><%@page session="false"
          import="com.adobe.granite.ui.components.Config,
                  com.adobe.granite.ui.components.AttrBuilder,
                  com.adobe.granite.ui.components.Tag" %><%

    Config cfg = cmp.getConfig();
    Tag tag = cmp.consumeTag();
    AttrBuilder attrs = tag.getAttrs();
    cmp.populateCommonAttrs(attrs);
%>
<subpages-selector data-dialog-id="<%= cfg.get("identificator", String.class) %>-dialog">
    <label>
        <coral-checkbox name="<%= cfg.get("name", String.class) %>" value="<%= cfg.get("value", String.class) %>">
            <%= cfg.get("text", String.class) %>
        </coral-checkbox>
    </label>

    <a id="<%= cfg.get("identificator", String.class) %>--button" class="js-open-dialog-btn" is="coral-anchorbutton" >
        Configure
    </a>

    <coral-dialog id="<%= cfg.get("identificator", String.class) %>-dialog" class="js-sub-pages-dialog">
        <coral-dialog-header>
            <%= cfg.get("text", String.class) %>
        </coral-dialog-header>
        <coral-dialog-content class="smartling-bulk-submit-dialog">
            <coral-columnview class="js-content" selectionMode="multi" selection-mode="multi" aria-multiselectable="true">
            </coral-columnview>
        </coral-dialog-content>
    </coral-dialog>
</subpages-selector>