CQ.Ext.ns('SMARTLING.ui');

SMARTLING.ui.tcc = SMARTLING.ui.tcc || {};
SMARTLING.ui.tcc.TranslationControlCentre = CQ.Ext.extend(CQ.Ext.Viewport, {

    constructor: function (config) {
        var translator = this;
        var grid = new SMARTLING.ui.tcc.Grid(config);
        var tree = new SMARTLING.ui.tcc.Tree(grid);

        SMARTLING.ui.tcc.TranslationControlCentre.superclass.constructor.call(translator, {
            layout: 'border',
            items: [{
                xtype: 'panel',
                id: 'smartling-translation-control-center',
                layout: 'border',
                region: 'center',
                border: false,
                defaults: {
                    split: true,
                    collapsible: false
                },
                items: [
                    tree,
                    grid,
                    new SMARTLING.ui.common.PageHeader()
                ]
            }]
        });
    }


});


CQ.Ext.reg('smartling-translation-control-center', SMARTLING.ui.tcc.TranslationControlCentre);